2014-11-23 09:23 EST

View Issue Details Jump to Notes ] Wiki ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0013276mantisbtattachmentspublic2014-09-23 18:05
Reporterckonnerth 
Assigned Todregad 
PrioritynormalSeverityminorReproducibilitysometimes
StatusclosedResolutionfixed 
Product Version1.2.1 
Target Version1.2.9Fixed in Version1.2.9 
Summary0013276: missing "attachments" column header in view_all_bug_page
DescriptionThe config value $g_show_attachment_indicator seems not to be evaluated properly. In my case it was turned off, but I still had the column "attachment_count" available in My Account -> Manage Columns, so the attachment indicator is shown for every issue row, but the corresponding column header with the attachment indicator is missing and the rest of the column headers are shown too early.

Why I chose "sometimes"-repro: I didn't notice the problem until I installed (and tested) my changes to our test system. On the dev system the problem didn't occur (attachment indicators have been shown properly, even with $g_show_attachment_indicator turned off). This may be due to different config values in the database (sources are identical on both systems), but I couldn't figure out the significant settings for the moment.

I'll tell you, if I can find some more information.
TagsNo tags attached.
Attached Files

- Relationships
related to 0015721closedgrangeway Functionality to consider porting to master-2.0.x 
+ Relationships

-  Notes
User avatar

~0029603

dregad (developer)

It indeed looks like the behavior of the 'attachment' column is not consistent - with $g_show_attachment_indicator = ON the column is displayed and the paperclip bitmap is displayed, and with $g_show_attachment_indicator = OFF, the count of attachment is printed.

I was not able to replicate the behavior you described, of disaligned columns, would appreciate if you can provide steps to reproduce problem.

I discussed with dhx (another developer) and we'll probably get rid of this option entirely as it does not really make sense. I'm working on a patch.
User avatar

~0029605

dregad (developer)

You might want to take a look at 2 possible fixes for this - not sure yet which one to go for.

https://github.com/dregad/mantisbt/commits/fix-attach-column-13276 [^]
https://github.com/dregad/mantisbt/commits/remove-show_attachment_indicator [^]

As I'm not able to replicate the missing column thing myself, you can hopefully tell me whether either or both versions do the trick for you.
User avatar

~0030023

dregad (developer)

Last edited: 2011-10-21 12:44

View 3 revisions

After discussing with dhx (see #mantishelp IRC log transcript for 31-Aug-2011), we took the decision to completely remove the $g_show_attachment_indicator setting.

As the solution to remove the config option was selected (remove-show_attachment_indicator branch), I'm storing here for the record the alternative which was fixing this issue while keeping the option (fix-attach-column-13276.tar.gz)

User avatar

~0031007

TomR (reporter)

Does this mean that on is NOT able to select to sort on attachment(s) anymore in the filter?

Is there another way to select / view only issues with one ore more attachments?
User avatar

~0031009

dregad (developer)

The attachment_count column is not sortable or usable as a filter, and I don't believe it was the case before this change was implemented.
User avatar

~0031010

TomR (reporter)

That were my thoughts too, however can you think of any way to select / filter on issues with attachments?
User avatar

~0031016

dregad (developer)

TomR, please follow 0008836 for attachment filtering.
User avatar

~0036301

grangeway (reporter)

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch
+  Notes

- Related Changesets
MantisBT: master d5a0ea7b
Timestamp: 2011-08-31 05:31:26
Author: dregad
Details ] Diff ]
Correct naming of attachments column

Commit 97b67e4bbb2f2df5f6fb24eea5b4bb37e1c28acd introduced some changes to the
BugData class: the 'attachment' column was renamed to 'attachment_count'. This
change was not cascaded everywhere, which resulted in the column not being
displayed by default (as the now-invalid column named 'attachment' was
automatically removed)

This then hid the fact that $g_show_attachment_indicator was actually not
working as advertised, i.e. the attachments column is always displayed; when
ON the field contains the paperclip bitmap, and when OFF the actual number of
attachments for the corresponding issue.

Affects issue 0013276

This is porting d86ba7220b1b5f9b6eab2eaef44f1345e6699df0 to master
mod - config_defaults_inc.php Diff ] File ]
mod - core/filter_api.php Diff ] File ]
mod - core/helper_api.php Diff ] File ]
mod - view_filters_page.php Diff ] File ]
MantisBT: master-1.2.x d86ba722
Timestamp: 2011-08-31 05:31:26
Author: dregad
Details ] Diff ]
Correct naming of attachments column

Commit 97b67e4bbb2f2df5f6fb24eea5b4bb37e1c28acd introduced some changes to the
BugData class: the 'attachment' column was renamed to 'attachment_count'. This
change was not cascaded everywhere, which resulted in the column not being
displayed by default (as the now-invalid column named 'attachment' was
automatically removed)

This then hid the fact that $g_show_attachment_indicator was actually not
working as advertised, i.e. the attachments column is always displayed; when
ON the field contains the paperclip bitmap, and when OFF the actual number of
attachments for the corresponding issue.

Affects issue 0013276

This commit also removes some trailing whitespace
mod - config_defaults_inc.php Diff ] File ]
mod - core/filter_api.php Diff ] File ]
mod - core/helper_api.php Diff ] File ]
mod - view_filters_page.php Diff ] File ]
MantisBT: master ce56bd57
Timestamp: 2011-08-31 06:32:11
Author: dregad
Details ] Diff ]
Obsolete $g_show_attachment_indicator option

Following discussion with dhx on IRC on 31-Aug-2011, this setting is
not necessary.

There is no point or advantage in displaying a paperclip bitmap as opposed to
the actual number of attachments; furthermore, the option was inconsistently
used, in one instance it was actually hiding the attachments column completely

Affects issue 0013276

Porting 3323204d0c3e6031b182b7113e7afb99d861588d to master
mod - config_defaults_inc.php Diff ] File ]
mod - core/columns_api.php Diff ] File ]
mod - core/helper_api.php Diff ] File ]
mod - core/obsolete.php Diff ] File ]
MantisBT: master-1.2.x 3323204d
Timestamp: 2011-08-31 06:32:11
Author: dregad
Details ] Diff ]
Obsolete $g_show_attachment_indicator option

Following discussion with dhx on IRC today, this setting is not necessary.

There is no point or advantage in displaying a paperclip bitmap as opposed to
the actual number of attachments; furthermore, the option was inconsistently
used, in one instance it was actually hiding the attachments column completely

Affects issue 0013276

Commit also removes trailing whitespace in columns_api.php
mod - config_defaults_inc.php Diff ] File ]
mod - core/columns_api.php Diff ] File ]
mod - core/helper_api.php Diff ] File ]
mod - core/obsolete.php Diff ] File ]
MantisBT: master-1.2.x 24a90639
Timestamp: 2011-10-22 08:25:27
Author: atrol
Details ] Diff ]
Updated documentation to reflect changes after fix 0013276
mod - docbook/adminguide/en/configuration.sgml Diff ] File ]
MantisBT: master 2068b753
Timestamp: 2011-10-22 08:28:22
Author: atrol
Details ] Diff ]
Updated documentation to reflect changes after fix 0013276
mod - docbook/Admin_Guide/en-US/Configuration.xml Diff ] File ]

+ Related Changesets

- Issue History
Date Modified Username Field Change
2011-08-30 11:36 ckonnerth New Issue
2011-08-31 08:12 dregad Note Added: 0029603
2011-08-31 08:12 dregad Assigned To => dregad
2011-08-31 08:12 dregad Status new => assigned
2011-08-31 08:13 dregad Target Version => 1.2.8
2011-08-31 10:12 dregad Note Added: 0029605
2011-08-31 10:12 dregad Status assigned => feedback
2011-09-06 10:33 jreese Target Version 1.2.8 => 1.2.9
2011-10-21 12:30 dregad Note Added: 0030023
2011-10-21 12:30 dregad Status feedback => resolved
2011-10-21 12:30 dregad Resolution open => fixed
2011-10-21 12:30 dregad Fixed in Version => 1.2.9
2011-10-21 12:30 dregad Summary missing column header in view_all_bug_page => missing "attachments" column header in view_all_bug_page
2011-10-21 12:41 dregad File Added: fix-attach-column-13276.tar.gz
2011-10-21 12:43 dregad Note Edited: 0030023 View Revisions
2011-10-21 12:44 dregad Note Edited: 0030023 View Revisions
2011-10-21 16:07 dregad Changeset attached => MantisBT master ce56bd57
2011-10-21 16:07 dregad Changeset attached => MantisBT master d5a0ea7b
2011-10-21 16:07 dregad Changeset attached => MantisBT master-1.2.x 3323204d
2011-10-21 16:07 dregad Changeset attached => MantisBT master-1.2.x d86ba722
2011-11-09 17:19 atrol Changeset attached => MantisBT master 2068b753
2011-11-09 17:19 atrol Changeset attached => MantisBT master-1.2.x 24a90639
2012-01-23 09:45 TomR Note Added: 0031007
2012-01-23 14:39 dregad Note Added: 0031009
2012-01-23 17:26 TomR Note Added: 0031010
2012-01-24 06:13 dregad Note Added: 0031016
2012-03-03 21:45 vboctor Status resolved => closed
2013-04-05 17:57 grangeway Status closed => acknowledged
2013-04-05 17:57 grangeway Note Added: 0036301
2013-04-05 18:25 grangeway Relationship added related to 0015721
2013-04-06 03:42 dregad Status acknowledged => closed
2013-04-06 07:23 grangeway Status closed => acknowledged
2013-04-06 09:24 dregad Tag Attached: 2.0.x check
2013-04-06 09:24 dregad Status acknowledged => closed
2014-09-23 18:05 grangeway Tag Detached: 2.0.x check
+ Issue History